#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct s_lista {
	char *naziv;
	float udaljenost;
	struct s_lista *rep;
} LISTA;

#define novi(x) x = (LISTA *)malloc(sizeof(LISTA))

void dodaj(LISTA **p, char *nazivv, float udaljenostt) {
	LISTA *temp, *pom;
	novi(temp);
	if (!temp) {
		printf("Greska pri alokaciji memorije.\n");
		exit(0);
	}
	temp->naziv = (char *)malloc(strlen(nazivv) + 1);
	strcpy(temp->naziv, nazivv);
	temp->udaljenost = udaljenostt;
	if (!(*p)) {
		temp->rep = temp;
		*p = temp;
	}
	else {
		pom = *p;
		while (pom->rep != *p) pom = pom->rep;
		temp->rep = pom->rep;
		pom->rep = temp;
	}
}

void ispis(LISTA *p) {
	LISTA *pom;
	pom = p;
	do {
		printf("%s, %.2f\n", p->naziv, p->udaljenost);
		p = p->rep;
	} while (pom != p);
}

main() {
	LISTA *p = NULL;
	char nazivv[50];
	float udaljenostt;
	scanf("%s", nazivv);
	while (strcmp(nazivv, "OKRUG") != 0) {
		scanf("%f", &udaljenostt);
		dodaj(&p, nazivv, udaljenostt);
		scanf("%s", nazivv);
	}
	ispis(p);
}
	
