#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct stablo{
	int broj;
	int treca_cifra;
	struct stablo *levi, *desni;
}STABLO;


STABLO *Dodaj(STABLO *p, STABLO *temp){
	if(p==NULL){
		p=temp;
	}
	else{
		if(p->treca_cifra<temp->treca_cifra)
		p->desni=Dodaj(p->desni, temp);
		else p->levi=Dodaj(p->levi, temp);
	}
	return p;
}


STABLO *Kreiraj(STABLO *p){
	char boja;
	STABLO *temp;
	
	int n,i;
	scanf("%d",&n);
	for(i=0;i<n;i++){
		
		temp=malloc(sizeof(STABLO));
		
		temp->levi=temp->desni=NULL;
		scanf("%d",&temp->broj);
			if(temp->broj/100==0) temp->treca_cifra=0;
			else (temp->treca_cifra=(temp->broj/100)%10);
			p=Dodaj(p, temp);
		/*	if(strcmp(temp->treca_cifra, "OKRUG")==0)
		break;*/
	}
	return p;
}


void Ispis(STABLO *p){
	if(p){
		Ispis(p->desni);
		printf("%d %d\n", p->broj, p->treca_cifra);
		Ispis(p->levi);
	}
}


void Brojac(STABLO *p, int x, int *br){
	if(p){
		Brojac(p->desni, x, br);
		
		Brojac(p->levi, x, br);
		
		if(x>p->broj && p->treca_cifra>=2 && p->treca_cifra<=8)
		(*br)++;
	}	
}


main(){
	int br, x;
	STABLO *p=NULL;
	p=Kreiraj(p);
	Ispis(p);
	printf("\nUnesite x: ");
	scanf("%d",&x);
	Brojac(p, x, &br);
	printf("%d\n", br);
}
